### Constructor

# Gsk.RepeatingLinearGradientNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_repeating_linear_gradient_node_new (
      const graphene_rect_t* bounds,
      const graphene_point_t* start,
      const graphene_point_t* end,
      const GskColorStop* color_stops,
      gsize n_color_stops
    )

#### Description [src]

Creates a `GskRenderNode` that will create a repeating linear gradient from the given points and color stops, and render that into the area given by `bounds`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| the rectangle to render the linear gradient into
| Ownership is not transferred to the callee
`start` | `const graphene_point_t*`
| the point at which the linear gradient will begin
| Ownership is not transferred to the callee
`end` | `const graphene_point_t*`
| the point at which the linear gradient will finish
| Ownership is not transferred to the callee
`color_stops` | An array of `GskColorStop`
| a pointer to an array of `GskColorStop` defining the gradient. The offsets of all color stops must be increasing. The first stop’s offset must be >= 0 and the last stop’s offset must be <= 1.
| The length of the array is in the `n_color_stops` argument
| Ownership is not transferred to the callee
`n_color_stops` | `gsize`
| the number of elements in `color_stops`

#### Return value

Returns: `GskRepeatingLinearGradientNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller